# type: ignore


class Proxy:
    def __init__(self, proxied):
        self.proxied = proxied
    
    def __getattr__(self, attr):
        if callable(self.proxied[attr]):
            return lambda *x: self.proxied[attr](*x)
        else:
            return self.proxied[attr]

    def __setattr__(self, attr, value):
        self.proxied[attr] = value


_document = Proxy(document)
_window = Proxy(window)



